<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Inventory;
use Illuminate\Support\Facades\Route;

class InventoryController extends Controller
{
    public function index(Request $request)
    {
        $route_name = Route::currentRouteName();
        $inventory_Data = "";
        $data = "";
        if ($route_name == "inventory.index" || $route_name == "inventory.search") {
             $query = Inventory::whereNotNull('cost');
            if ( $request->has('search')) {
                $search = trim($request->input('search'));
                $query = $query->where('title', 'LIKE', "%$search%")->orWhere('msku', 'LIKE', "%$search%");
            }
             $inventory_Data = $query->paginate(15);
        }
        if (Route::is('inventory.missing')) {
             $inventory_Data = Inventory::whereNull('cost')->paginate(15);
        }
       return view('inventory.index')->withInventories( $inventory_Data);
    }
    public function search(Request $request)
    {
         $data = $request->validate([
                    'search'=>'required',
                ]);
                dd($data );

      $inventory_Data = Inventory::whereNull('cost')->paginate(15);

       return view('inventory.index')->withInventories( $inventory_Data);
    }
    public function edit($id)
    {
        $inventory = Inventory::findOrFail($id);
       return view('inventory.edit',compact('inventory'));
    }
   
    public function update(Request $request, $id)
    {
        $data = $request->validate([
            'cost'=>'required',
        ]);
        $inventory = Inventory::findOrFail($id);  
        $inventory->update($data);
        return redirect()->route('inventory.missing')->with([
           "class" => "success",
           "text" => "Product updated successfully.",
       ]);
    }
}
