<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Exports\UsersExport;
use Maatwebsite\Excel\Facades\Excel;


use App\PurchaseOrder;
use \stdClass;
use \DateTime;

class ReportController extends Controller
{
    private  $years_to_show = [
            "2021",
            "2020",
            "2019",
            "2018",
            "2017",
            "2016",
            "2015"
        ];
       

    public function index(Request $request)
    {
        $months = [
            "Jan",
            "Feb",
            "Mar",
            "Apr",
            "May",
            "Jun",
            "Jul",
            "Aug",
            "Sep",
            "Oct",
            "Nov",
            "Dec"
        ];
        $years = $this->years_to_show;
        $summary_row_data = [];
        $selected_values = [];
        $report_data = [];
        $commission_percent = 0.15;
        $sales_price_total = 0;
        $cost_total = 0;
        $shipping_cost_total = 0;
        $commission_total = 0;
        $expenses_total = 0;
        $profit_or_loss_total = 0;
        $current_year = date("Y");
        $report_name = "";
        $selected_month = $request->input('month');
        $selected_year = $request->input('year');
        $results = PurchaseOrder::whereHas("shipment")->with('inventory')->with('shipment');

        if ($request->has('month') && $request->has('year')) {
             $results = $results->whereMonth('order_date', $selected_month)->whereYear('order_date', $selected_year);
             $selected_values["year"] = $selected_year;    
             $selected_values["month"] = $selected_month;    
             $selected_values["download"] = 'active'; 
             $report_name = $selected_month ."_". $selected_year;
       
         }
        else
        if ($request->has('month')) {
             $results = $results->whereMonth('order_date', $selected_month)->whereYear('order_date', $current_year);
             $selected_values["download"] = 'active';    
             $selected_values["month"] = $selected_month;  
             $report_name = $selected_month;  
        }
        else 
        if ($request->has('year')) {
             $selected_values["download"] = 'active';    
             $selected_values["year"] = $selected_year;    

             $results = $results->whereYear('order_date', $selected_year);
             
             $report_name = $selected_year;
        }

        $results = $results->where('is_available', 1);
        // Getting SUM row data
        $results_sum = $results->groupBy('tracking_number')->get();

        // $count = count($results_sum->toArray());
        // dd($count);
        $summary_row_data = $this->getReportData($results_sum);

        if ($request->has('download')) {
            $results = $results->groupBy('tracking_number')->get();
        }
        else{
            $results = $results->groupBy('tracking_number')->paginate(15);
        }
        $messag = "";
        foreach ($results as $key=>$data) {
             if (!isset($data->shipment) || !isset($data->inventory)) {
                dd($data);
            }

            $shipping_cost = (float) $data->shipment->cost;
            $item_cost = (float) $data->inventory->cost;
            $object = new stdClass();
            $object->po_number = $data->po_number;
            $object->order_number = $data->order_number;
            $object->order_date = $data->order_date;
            $object->tracking_number = $data->tracking_number;
            $object->ship_by = $data->ship_by;
            $object->delivery_date = $data->delivery_date;
            $object->customer_name = $data->customer_name;
            $object->status = $data->status;
            $object->item_description = $data->item_description;
            $object->qty = $data->qty;
            $object->sku = $data->sku;
            $sales_price = (float) $data->item_cost;
            // SUM of sales price
            $sales_price_total += $sales_price;
            $object->sales_price = $sales_price; 
            $object->item_cost =   $item_cost;

            // Calculated values

            $total_cost = (float) $data->qty * $item_cost;
            
            // SUM of total cost
            $cost_total +=  $total_cost;
            $object->total_cost  = number_format((float) $total_cost, 2, '.', ''); // Resultfull column
            $shipping_cost_total += (float) $shipping_cost;
            $object->shipping_cost = (float) $shipping_cost; //14 // Resultfull column

            $commission =  $sales_price * $commission_percent;
            // SUM commission
            $commission_total += $commission;
            $object->commission  = number_format((float) $commission, 2, '.', ''); // Resultfull column
            $total_expenses = $total_cost + $shipping_cost + $commission; 
            // SUM total expenses
            $expenses_total += $total_expenses;
            $object->total_expenses  = number_format((float) $total_expenses, 2, '.', ''); // Resultfull column
            $profit_or_loss = $sales_price - $total_expenses;
            $profit_or_loss_total += $profit_or_loss;
            $object->profit_or_loss  = number_format((float) $profit_or_loss, 2, '.', ''); // Resultfull column
            
            $profit_percent = 0;
            if($sales_price != 0){
                 $profit_percent = $profit_or_loss / $sales_price;
            }

            $object->profit_percent  = number_format((float) $profit_percent, 2, '.', ''); // Resultfull column
            $ROI = 0;
            if($total_cost != 0){
                 $ROI = $profit_or_loss / $total_cost;
            }

            $object->ROI  = number_format((float) $ROI, 2, '.', ''); // Resultfull column
            array_push($report_data, $object);
        }
           
        
        if ($messag != "") {
               return redirect()->route('home')->with([
                    "class" => "danger",
                    "text" => $messag,
                ]);
        }

        if ($request->has('download')) {
            $report_data_array = [];
            foreach($report_data as $object)
            {
                $report_data_array[] =  (array) $object;
            }
            $last_row = [
                '',
                '',
                '',
                '',
                '',
                '',
                '',
                '',
                '',
                '',
                'Totals',
                number_format((float) $sales_price_total, 2, '.', ''),
                '',
                number_format((float) $cost_total, 2, '.', ''),
                number_format((float) $shipping_cost_total, 2, '.', ''),
                number_format((float) $commission_total, 2, '.', ''),
                number_format((float) $expenses_total, 2, '.', ''),
                number_format((float) $profit_or_loss_total, 2, '.', '')
                

            ];
            array_push($report_data_array, $last_row);
            $export = new UsersExport([
                $report_data_array
            ]);
        
            $report_name = 'report_data_'. $report_name . '.xlsx';
            return Excel::download($export, $report_name);
        }
        $data = [
            'report'  => $report_data,
            'months'  => $months,
            'years'   => $years,
            'selected_values'   =>  $selected_values,
            'results' => $results,
            'summary_row_data' => $summary_row_data
        ];
       return view('report.index')->with($data);
   
    }

     function getReportData($results, $identifier = ""){
        $yearly_array = [];
        $commission_percent = 0.15;
        $sales_price_total = 0;
        $cost_total = 0;
        $shipping_cost_total = 0;
        $commission_total = 0;
        $expenses_total = 0;
        $profit_or_loss_total = 0;
        $total_qty = 0;


        foreach ($results as $key=>$data) {
             if (!isset($data->shipment) || !isset($data->inventory)) {
                dd($data);
            }

            $shipping_cost = (float) $data->shipment->cost;
            $item_cost = (float) $data->inventory->cost;
            $object = new stdClass();
            $sales_price = (float) $data->item_cost;
            // SUM of sales price
            $sales_price_total += $sales_price;

            
            $total_qty += (float) $data->qty;

            // Calculated values

            $total_cost = (float) $data->qty * $item_cost;
            // SUM of total cost
            $cost_total +=  $total_cost;
            $shipping_cost_total += (float) $shipping_cost;

            $commission =  $sales_price * $commission_percent;
            // SUM commission
            $commission_total += $commission;
            $total_expenses = $total_cost + $shipping_cost + $commission; 
            // SUM total expenses
            $expenses_total += $total_expenses;
            $profit_or_loss = $sales_price - $total_expenses;
            $profit_or_loss_total += $profit_or_loss;
            $profit_percent = 0;
            if($sales_price != 0){
                $profit_percent = $profit_or_loss / $sales_price;
            }

            $ROI = 0;
             if($total_cost != 0){
                $ROI = $profit_or_loss / $total_cost;
            }

            if($identifier !=  ""){
                $month = "";
                if($identifier ==  "skuProbability"){
                    $month = $data->sku;

                }
                else{
                $timestamp = strtotime($data->order_date);
                    $month = date('M', $timestamp);
                }

                if(array_key_exists($month,$yearly_array)){
                    $existing_data = $yearly_array[$month];
                    //dd($existing_data);
                    $existing_data->sales_price_total += $sales_price;
                    $existing_data->shipping_cost_total += $shipping_cost;
                    $existing_data->commission_total += $commission;
                    $existing_data->expenses_total += $total_expenses;
                    $existing_data->cost_total += $total_cost;
                    $existing_data->profit_or_loss_total += $profit_or_loss;
                    $existing_data->qty_total += (float) $data->qty;
                    $yearly_array[$month] = $existing_data;
                }
                else{
                    $obj = new stdClass();
                    $obj->sales_price_total = $sales_price;
                     $obj->shipping_cost_total = $shipping_cost;
                     $obj->commission_total = $commission;
                     $obj->expenses_total = $total_expenses;
                     $obj->profit_or_loss_total = $profit_or_loss;
                     $obj->qty_total = (float) $data->qty;
                     $obj->cost_total = $total_cost;
                    $yearly_array[$month] = $obj;
                }
            }
        }
          if($identifier ==  ""){

                $summary_row_object = new stdClass();
                $summary_row_object->sales_price_total =  number_format((float) $sales_price_total, 2, '.', ',');
                $summary_row_object->shipping_cost_total =  number_format((float) $shipping_cost_total, 2, '.', ',');
                $summary_row_object->commission_total =  number_format((float) $commission_total, 2, '.', ',');
                $summary_row_object->expenses_total =  number_format((float) $expenses_total, 2, '.', ',');
                $summary_row_object->profit_or_loss_total =  number_format((float) $profit_or_loss_total, 2, '.', ',');
                $summary_row_object->qty =  number_format((float) $total_qty, 2, '.', ',');
               
                return $summary_row_object;

            }
            else{
                return $yearly_array;
            }
     
     }
    
     public function summary(Request $request){
        
         $selected_year = $request->input('year') ? $request->input('year') : date('Y');
        
        $years = $this->years_to_show;
        $results = PurchaseOrder::whereHas("shipment")->with('inventory')->with('shipment')->where('is_available', 1)->whereYear('order_date', $selected_year)->orderByRaw('DATE_FORMAT(order_date, "%m")')->groupBy('tracking_number')->get();
    
       $count = count($results->toArray());
       $yearly_report = $this->getReportData($results, "Yearly");
           $data = [
            'yearly_report'  => $yearly_report,  
            'years'          => $years          
        ];
        $final_total = new stdClass();
        $final_total->qty_sum = 0; 
        $final_total->sale_price_sum = 0; 
        $final_total->cost_sum = 0; 
        $final_total->shipping_cost_sum = 0; 
        $final_total->commission_sum = 0; 
        $final_total->total_exp_sum = 0; 
        $final_total->profit_loss_sum = 0; 
       foreach ($yearly_report as $key => $obj){
        $final_total->qty_sum += $obj->qty_total;
        $final_total->sale_price_sum += $obj->sales_price_total;
        $final_total->cost_sum += $obj->cost_total;
        $final_total->shipping_cost_sum += $obj->shipping_cost_total;
        $final_total->commission_sum += $obj->commission_total;
        $final_total->total_exp_sum += $obj->expenses_total;
        $final_total->profit_loss_sum += $obj->profit_or_loss_total;
       }
       $data["final_totals"] = $final_total;
       return view('report.summary')->with( $data);
    }
    
     public function skuProbability(Request $request){
        
         $selected_year = $request->input('year') ? $request->input('year') : date('Y');
        
        $years = $this->years_to_show;
        //$results = PurchaseOrder::whereHas("shipment")->with('inventory')->with('shipment')->where('is_available', 1)->whereYear('order_date', $selected_year)->orderByRaw('DATE_FORMAT(order_date, "%m")')->groupBy('tracking_number')->get();
        $results = PurchaseOrder::whereHas("shipment")->with('inventory')->with('shipment')->where('is_available', 1)->groupBy('tracking_number')->groupBy('sku')->get();
    
       $count = count($results->toArray());
       $yearly_report = $this->getReportData($results, "skuProbability");
           $data = [
            'yearly_report'  => $yearly_report,  
            'years'          => $years          
        ];
        $final_total = new stdClass();
        $final_total->qty_sum = 0; 
        $final_total->sale_price_sum = 0; 
        $final_total->cost_sum = 0; 
        $final_total->shipping_cost_sum = 0; 
        $final_total->commission_sum = 0; 
        $final_total->total_exp_sum = 0; 
        $final_total->profit_loss_sum = 0; 
       foreach ($yearly_report as $key => $obj){
        $final_total->qty_sum += $obj->qty_total;
        $final_total->sale_price_sum += $obj->sales_price_total;
        $final_total->cost_sum += $obj->cost_total;
        $final_total->shipping_cost_sum += $obj->shipping_cost_total;
        $final_total->commission_sum += $obj->commission_total;
        $final_total->total_exp_sum += $obj->expenses_total;
        $final_total->profit_loss_sum += $obj->profit_or_loss_total;
       }
       $data["final_totals"] = $final_total;
       return view('report.summary')->with( $data);
    }
}
