<?php

namespace App\Imports;

use App\PurchaseOrder;

use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;
use Maatwebsite\Excel\Concerns\WithValidation;
use Maatwebsite\Excel\Concerns\OnEachRow;
use Maatwebsite\Excel\Row;

class PurchaseOrderImport implements OnEachRow, WithHeadingRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */

    public function onRow(Row $row)
    {
       $row = $row->toArray();

        if(!isset($row["po"]) || !isset($row["tracking_number"])){
            return;
        }
            $purchaseOrder = PurchaseOrder::firstOrCreate(
            [
                'po_number' => $row["po"], 
                'line_number' => $row["line"],
                'tracking_number' => $row["tracking_number"]
            ],
            [
            'po_number' => $row["po"],
            'order_number' => $row["order"],
            'order_date' => $row["order_date"],
            'ship_by' => $row["ship_by"],
            'delivery_date' => $row["delivery_date"],
            'customer_name' => $row["customer_name"],
            'customer_shipping_address' => $row["customer_shipping_address"],
            'customer_phone_number' => $row["customer_phone_number"],
            'ship_to_address_1' => $row["ship_to_address_1"],
            'ship_to_address_2' => $row["ship_to_address_2"],
            'city' => $row["city"],
            'state' => $row["state"],
            'zipcode' => $row["zip"],
            'flids' => $row["flids"],
            'line_number' => $row["line"],
            'upc' => $row["upc"],
            'status' => $row["status"],
            'item_description' => $row["item_description"],
            'shippingmethod' => $row["shipping_method"],
            'shipping_tier' => $row["shipping_tier"],
            'qty' => $row["qty"],
            'sku' => $row["sku"],
            'item_cost' => $row["item_cost"],
            'shipping_cost' => $row["shipping_cost"],
            'tax' => $row["tax"],
            'update_status' => $row["update_status"],
            'update_qty' => $row["update_qty"],
            'carrier' => $row["carrier"],
            'tracking_number' => $row["tracking_number"],
            'tracking_url' => $row["tracking_url"],
            'seller_order_no' => $row["seller_order_no"],
            'fulfillment_entity' => $row["fulfillment_entity"],
            ]
        );

    }
    public function rules(): array
    {
        return [
            // 'po' => 'required',
            // 'order' => 'required',
            // 'order_date' => 'required',
            // 'qty' => 'required',
            // 'sku' => 'required',
            // 'item_cost' => 'required',
            // 'shipping_cost' => 'required',
            // 'tracking_number' => 'required',
        ];
    }
}
