<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class PurchaseOrder extends Model
{
    public $timestamps = false;
    protected $fillable = [
            'po_number',
            'order_number',
            'order_date',
            'ship_by',
            'delivery_date',
            'customer_name',
            'customer_shipping_address',
            'customer_phone_number',
            'ship_to_address_1',
            'ship_to_address_2',
            'city',
            'state',
            'zipcode',
            'flids',
            'line_number',
            'upc',
            'status',
            'item_description',
            'shippingmethod',
            'shipping_tier',
            'qty',
            'sku',
            'item_cost',
            'shipping_cost',
            'tax',
            'update_status',
            'update_qty',
            'carrier',
            'tracking_number',
            'tracking_url',
            'seller_order_no',
            'fulfillment_entity',
    ];

    public function inventory()
    {
        return $this->belongsTo(Inventory::class, 'sku', 'msku');
    }   
    
    public function shipment()
    {
        return $this->hasOne(Shipment::class, 'tracking_number', 'tracking_number');
    }

}
