<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Shipment extends Model
{
  public $timestamps = false;
    protected $fillable =  [
            'created_date',
            'recipient',
            'company',
            'email',
            'tracking_number',
            'cost',
            'status',
            'batch',
            'label_size',
            'saved_package',
            'ship_from',
            'ship_date',
            'estimated_delivery_time',
            'weight',
            'zone',
            'package_type',
            'package_length',
            'package_width',
            'package_height',
            'tracking_status',
            'tracking_info',
            'tracking_date',
            'address_line_1',
            'address_line_2',
            'city',
            'state',
            'zipcode',
            'country',
            'carrier',
            'service',
            'order_id',
            'rubber_stamp_1',
            'rubber_stamp_2',
            'rubber_stamp_3',
            'order_value',
            'source',
    ];

    public function purchaseOrder()
    {
        return $this->hasOne(PurchaseOrder::class, 'tracking_number', 'tracking_number');
    }
}
