<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePurchaseOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('purchase_orders', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('po_number')->nullable();
            $table->string('order_number')->nullable();
            $table->string('order_date')->nullable();
            $table->string('ship_by')->nullable();
            $table->string('delivery_date')->nullable();
            $table->string('customer_name')->nullable();
            $table->string('customer_shipping_address')->nullable();
            $table->string('customer_phone_number')->nullable();
            $table->string('ship_to_address_1')->nullable();
            $table->string('ship_to_address_2')->nullable();
            $table->string('city')->nullable();
            $table->string('state')->nullable();
            $table->string('zipcode')->nullable();
            $table->string('flids')->nullable();
            $table->string('line_number')->nullable();
            $table->string('upc')->nullable();
            $table->string('status')->nullable();
            $table->string('item_description')->nullable();
            $table->string('shippingmethod')->nullable();
            $table->string('shipping_tier')->nullable();
            $table->string('qty')->nullable();
            $table->string('sku')->nullable();
            $table->string('item_cost')->nullable();
            $table->string('shipping_cost')->nullable();
            $table->string('tax')->nullable();
            $table->string('update_status')->nullable();
            $table->string('update_qty')->nullable();
            $table->string('carrier')->nullable();
            $table->string('tracking_number')->nullable();
            $table->string('tracking_url')->nullable();
            $table->string('seller_order_no')->nullable();
            $table->string('fulfillment_entity')->nullable();         
            $table->boolean('is_available')->nullable()->default(true);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('purchase_orders');
    }
}
