<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateShipmentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('shipments', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('created_date')->nullable();
            $table->string('recipient')->nullable();
            $table->string('company')->nullable();
            $table->string('email')->nullable();
            $table->string('tracking_number')->nullable();
            $table->string('cost')->nullable();
            $table->string('status')->nullable();
            $table->string('batch')->nullable();
            $table->string('label_size')->nullable();
            $table->string('saved_package')->nullable();
            $table->string('ship_from')->nullable();
            $table->string('ship_date')->nullable();
            $table->string('estimated_delivery_time')->nullable();
            $table->string('weight')->nullable();
            $table->string('zone')->nullable();
            $table->string('package_type')->nullable();
            $table->string('package_length')->nullable();
            $table->string('package_width')->nullable();
            $table->string('package_height')->nullable();
            $table->string('tracking_status')->nullable();
            $table->string('tracking_info')->nullable();
            $table->string('tracking_date')->nullable();
            $table->string('address_line_1')->nullable();
            $table->string('address_line_2')->nullable();
            $table->string('city')->nullable();
            $table->string('state')->nullable();
            $table->string('zipcode')->nullable();
            $table->string('country')->nullable();
            $table->string('carrier')->nullable();
            $table->string('service')->nullable();
            $table->string('order_id')->nullable();
            $table->string('rubber_stamp_1')->nullable();
            $table->string('rubber_stamp_2')->nullable();
            $table->string('rubber_stamp_3')->nullable();
            $table->string('order_value')->nullable();
            $table->string('source')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('shipments');
    }
}
