@extends('layouts.dashboard')

@section('content')

<h1>Products</h1>
@if(Route::currentRouteNamed('inventory.missing'))
  <p>List of <i>products</i> that does not have cost value</p>
@else 
<div class="d-flex justify-content-end">
<form class="form-inline" method="GET" action="{{route('inventory.index')}}">
  <div class="form-group mx-sm-3 mb-2">
    <input type="text" class="form-control" name="search" id="search">
  </div>
  <button type="submit" class="btn btn-primary mb-2 font-12px" disabled id="searchBtn" >Search</button>
</form>

</div> 
@endif

<div class="table-responsive">

<table class="table">
  <thead>
    <tr>
      <th scope="col">#</th>
      <th scope="col">Title</th>
      <th scope="col">MSKU</th>
      <th scope="col">Cost</th>
      @if(Route::currentRouteNamed('inventory.missing'))
      <th scope="col"></th>
      @endif
    </tr>
  </thead>
  <tbody>
      @foreach ($inventories as $inventory)
    <tr>
      <th scope="row">
      {{ isset($currentPage) ? $inventories->perPage() * ($currentPage - 1) + ($loop->index + 1) : $loop->index + 1 }}
      </th>
      <td>{{ $inventory->title}}</td>
      <td>{{ $inventory->msku}}</td>
      <td>{{$inventory->cost}}</td>
       @if(Route::currentRouteNamed('inventory.missing'))
      <td class="text-center">
         <a class="btn btn-success btn-sm" href="{{ route('inventory.show', $inventory->id)}}" role="button">Edit</a>
      </td>
      @endif
    </tr>
     @endforeach
  </tbody>
</table>
</div>

<div class="d-flex justify-content-center py-3">
  {{ $inventories->links() }}
</div>
@endsection

@section('scripts')
    <script src="{{ asset('js/search.js') }}"></script>
@endsection
