@extends('layouts.dashboard')

@section('content')

<h1>Shipments</h1>

@if(Route::currentRouteNamed('shipment.missing'))
  <p>List of <i>shipment</i> that does not have cost value</p>
@endif

<div class="d-flex justify-content-end">
<form class="form-inline" method="GET" action="{{route('shipment.index')}}">
  <div class="form-group mx-sm-3 mb-2">
    <input type="text" class="form-control" name="search" id="search">
  </div>
  <button type="submit" class="btn btn-primary mb-2 font-12px" disabled id="searchBtn" >Search</button>
</form>

</div> 
<div class="table-responsive">
<table class="table">
  <thead>
    <tr>
      <th scope="col">#</th>
      <th scope="col">Created Date</th>
      <th scope="col">Recipient</th>
      <th scope="col">Company</th>
      <th scope="col">Email</th>
      <th scope="col">Tracking Number</th>
      <th scope="col">Cost</th>
      <th scope="col">Status</th>
      <th scope="col">Batch</th>
      <th scope="col">Label Size</th>
      <th scope="col">Saved Package</th>
      <th scope="col">Ship From</th>
      <th scope="col">Ship Date</th>
      <th scope="col">Estimated Delivery Time</th>
      <th scope="col">Weight (oz)</th>
      <th scope="col">Zone</th>
      <th scope="col">Package Type</th>
      <th scope="col">Package Length</th>
      <th scope="col">Package Width</th>
      <th scope="col">Package Height</th>
      <th scope="col">Tracking Status</th>
      <th scope="col">Tracking Info</th>
      <th scope="col">Tracking Date</th>
      <th scope="col">Address Line 1</th>
      <th scope="col">Address Line 2</th>
      <th scope="col">City</th>
      <th scope="col">State</th>
      <th scope="col">Zipcode</th>
      <th scope="col">country</th>
      <th scope="col">Carrier</th>
      <th scope="col">Service</th>
      <th scope="col">Order ID</th>
      <th scope="col">Rubber Stamp 1</th>
      <th scope="col">Rubber Stamp 2</th>
      <th scope="col">Rubber Stamp 3</th>
      <th scope="col">Order Value</th>
      <th scope="col">Source</th>

      @if(Route::currentRouteNamed('shipment.missing'))
      <th scope="col"></th>
      @endif
    </tr>
  </thead>
  <tbody>
      @foreach ($shipments as $shipment)
    <tr>
      <th scope="row">
        {{ isset($currentPage) ? $shipments->perPage() * ($currentPage - 1) + ($loop->index + 1) : $loop->index + 1 }}
      </th>
      <td>{{ $shipment->created_date}}</td>
      <td>{{ $shipment->recipient}}</td>
      <td>{{ $shipment->company}}</td>
      <td>{{ $shipment->email}}</td>
      <td>{{ $shipment->tracking_number}}</td>
      <td>{{ $shipment->cost}}</td>
      <td>{{ $shipment->status}}</td>
      <td>{{ $shipment->batch}}</td>
      <td>{{ $shipment->label_size}}</td>
      <td>{{ $shipment->saved_package}}</td>
      <td>{{ $shipment->ship_from}}</td>
      <td>{{ $shipment->ship_date}}</td>
      <td>{{ $shipment->estimated_delivery_time}}</td>
      <td>{{ $shipment->weight}}</td>
      <td>{{ $shipment->zone}}</td>
      <td>{{ $shipment->package_type}}</td>
      <td>{{ $shipment->package_length}}</td>
      <td>{{ $shipment->package_width}}</td>
      <td>{{ $shipment->package_height}}</td>
      <td>{{ $shipment->tracking_status}}</td>
      <td>{{ $shipment->tracking_info}}</td>
      <td>{{ $shipment->tracking_date}}</td>
      <td>{{ $shipment->address_line_1}}</td>
      <td>{{ $shipment->address_line_2}}</td>
      <td>{{ $shipment->city}}</td>
      <td>{{ $shipment->state}}</td>
      <td>{{ $shipment->zipcode}}</td>
      <td>{{ $shipment->country}}</td>
      <td>{{ $shipment->carrier}}</td>
      <td>{{ $shipment->service}}</td>
      <td>{{ $shipment->order_id}}</td>
      <td>{{ $shipment->rubber_stamp_1}}</td>
      <td>{{ $shipment->rubber_stamp_2}}</td>
      <td>{{ $shipment->rubber_stamp_3}}</td>
      <td>{{ $shipment->order_value}}</td>
      <td>{{ $shipment->source}}</td>
      @if(Route::currentRouteNamed('shipment.missing'))
      <td class="text-center">
         <a class="btn btn-success btn-sm" href="{{ route('shipment.edit', $shipment->id)}}" role="button">Edit</a>
      </td>
    </tr>
    @endif
     @endforeach
  </tbody>
</table>
</div>

<div class="d-flex justify-content-center py-3">
  {{ $shipments->links() }}
</div>
@endsection

@section('scripts')
    <script src="{{ asset('js/search.js') }}"></script>
@endsection
