<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// })->middleware('auth');

Route::get('/', 'Auth\LoginController@showLoginForm')->name('custom-login');

Auth::routes();
//Auth::routes(['register' => false]);

Route::get('/home', 'HomeController@index')->name('home');

Route::get('import', 'ImportController@importExportView')->name('import.view')->middleware('auth');
Route::get('export', 'ImportController@export')->name('export')->middleware('auth');
Route::post('data/import', 'ImportController@import')->name('import')->middleware('auth');

Route::get('inventory', 'InventoryController@index')->name('inventory.index')->middleware('auth');
Route::get('inventory/missing', 'InventoryController@index')->name('inventory.missing')->middleware('auth');
Route::get('inventory/edit/{id}', 'InventoryController@edit')->name('inventory.show')->middleware('auth');
Route::post('inventory/edit/{id}', 'InventoryController@update')->name('inventory.update')->middleware('auth');

Route::get('report', 'ReportController@index')->name('report.index')->middleware('auth');
Route::get('report/export', 'ReportController@index')->name('report.export')->middleware('auth');

Route::get('shipment/missing', 'ShipmentController@missing')->name('shipment.missing')->middleware('auth');
// Purchase Orders
Route::get('purchase-order', 'PurchaseOrderController@index')->name('purchase-order.index')->middleware('auth');
Route::get('purchase-order/missing', 'PurchaseOrderController@missing')->name('purchase-order.missing')->middleware('auth');
Route::post('purchase-order/add/shipment', 'PurchaseOrderController@addMissingShipment')->name('purchase-order.add.missing.shipment')->middleware('auth');

// View to show SKUs not found in inventory table
Route::get('purchase-order/missing/skus', 'PurchaseOrderController@missingSKUsInInventory')->name('purchase-order.missing.inventory.sku')->middleware('auth');
Route::post('purchase-order/missing/skus', 'PurchaseOrderController@addMissingSKUInInventory')->name('purchase-order.add.missing.inventory.sku')->middleware('auth');
// Summary

Route::get('summary', 'ReportController@summary')->name('summary')->middleware('auth');
Route::get('sku-probability', 'ReportController@skuProbability')->name('sku-probability')->middleware('auth');


Route::resource('shipment', 'ShipmentController')->middleware('auth');



