<!doctype html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title><?php echo e(config('app.name', 'Laravel')); ?></title>

    <!-- Scripts -->
    <script src="<?php echo e(asset('js/jquery-3.4.1.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js/app.js')); ?>" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    
    
    <!-- Styles -->
    <link href="<?php echo e(asset('css/app.css')); ?>" rel="stylesheet">

    <link href="<?php echo e(asset('css/dashboard.css?v=').time()); ?>" rel="stylesheet">
 <?php echo $__env->yieldContent('styles'); ?>

</head>
<body class="font-12px">
    <div id="app">

    <nav class="navbar navbar-dark sticky-top bg-dark flex-md-nowrap p-0">
        <a class="navbar-brand col-sm-3 col-md-2 mr-0" href="#"><?php echo e(config('app.name', 'Laravel')); ?></a>
        <input class="form-control form-control-dark w-100 d-none" type="text" placeholder="Search" aria-label="Search">
        <ul class="navbar-nav px-3">
            <li class="nav-item text-nowrap">
                <a class="nav-link" href="<?php echo e(route('logout')); ?>"  
                onclick="event.preventDefault();
                document.getElementById('logout-form').submit();">
                Sign out
              </a>
            </li>
            <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                <?php echo csrf_field(); ?>
            </form>
        </ul>
    </nav>

<div class="container-fluid">
    <div class="row">
      <nav class="col-md-2 d-none d-md-block bg-light sidebar">
        <div class="sidebar-sticky">
          <ul class="nav flex-column">
            <li class="nav-item">
              <a class="nav-link" href="#">
                <strong>Dashboard</strong>  <span class="sr-only">(current)</span>
              </a>
            </li>
            <li class="nav-item">
              <a class="nav-link <?php echo e(Route::currentRouteNamed('import.view') ? 'active' : ''); ?>" href="<?php echo e(route('import.view')); ?>">
                Import Files
              </a>
            </li>
            <div  class="menu-seprator"></div>            
            <li class="nav-item">
              <a class="nav-link <?php echo e(Route::currentRouteNamed('inventory.index') ? 'active' : ''); ?>" href="<?php echo e(route('inventory.index')); ?>">
                Inventory
              </a>
            </li>          
            <div  class="menu-seprator"></div>
            <li class="nav-item">
              <a class="nav-link <?php echo e(Route::currentRouteNamed('shipment.index') ? 'active' : ''); ?>" href="<?php echo e(route('shipment.index')); ?>">
                Shipments
              </a>
            </li>
            <div  class="menu-seprator"></div>
             <li class="nav-item">
              <a class="nav-link <?php echo e(Route::currentRouteNamed('purchase-order.index') ? 'active' : ''); ?>" href="<?php echo e(route('purchase-order.index')); ?>">
                Purchase Order
              </a>
            </li>
             <li class="nav-item">
              <a class="nav-link <?php echo e(Route::currentRouteNamed('purchase-order.missing.inventory.sku') ? 'active' : ''); ?>" href="<?php echo e(route('purchase-order.missing.inventory.sku')); ?>">
                Not Found SKUs (PO)
              </a>
            </li>
             <li class="nav-item">
              <a class="nav-link <?php echo e(Route::currentRouteNamed('purchase-order.missing') ? 'active' : ''); ?>" href="<?php echo e(route('purchase-order.missing')); ?>">
                Missing Tracking No. (PO)
              </a>
            </li>
            <div  class="menu-seprator"></div>
            <li class="nav-item">
              <a class="nav-link <?php echo e(Route::currentRouteNamed('report.index') ? 'active' : ''); ?>" href="<?php echo e(route('report.index')); ?>">
                Report
              </a>
            </li>
            <li class="nav-item">
              <a class="nav-link <?php echo e(Route::currentRouteNamed('summary') ? 'active' : ''); ?>" href="<?php echo e(route('summary')); ?>">
                Summary
              </a>
            </li>
            <li class="nav-item">
              <a class="nav-link <?php echo e(Route::currentRouteNamed('sku-report') ? 'active' : ''); ?>" href="<?php echo e(route('sku-report')); ?>">
                SKU Report
              </a>
            </li>
          </ul>
        </div>
      </nav>

    </div>
  </div>
        <main role="main" class="col-md-9 ml-sm-auto col-lg-10 pt-3 px-4">
          <?php echo $__env->make('includes.message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <?php echo $__env->yieldContent('content'); ?>
        </main>
    </div>
</body>
 <?php echo $__env->yieldContent('scripts'); ?>
</html>
<?php /**PATH /home/sites/20b/4/41015ed269/public_html/shahnyc/resources/views/layouts/dashboard.blade.php ENDPATH**/ ?>