<?php $__env->startSection('styles'); ?>
    <link href="<?php echo e(asset('css/select2.min.css')); ?>" rel="stylesheet">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="d-flex justify-content-between">
        <div>
            <h1>Report</h1>
            <p>The report below will show only those records that have matching <i>SKU</i> in <i>Inventory</i> and matching
                <i>Tracking Number</i> in shipment</p>

        </div>
        <div>
            <a class="btn btn-primary font-12px"
                href="<?php echo e(count($selected_values) > 0 ? route('report.export', $selected_values) : '#'); ?>"
                role="button">Export</a>
        </div>
    </div>
    <hr>



    <div class="d-flex justify-content-between">

        <form class="form-inline">
            <div class="form-group mb-2">
                <select class="form-control dd font-12px multiselectDD" multiple="multiple" id="PONumberMultiselect">
                    <?php for($index = 0; $index < count($allPoNumbers); $index++): ?>
                        <option value="<?php echo e($allPoNumbers[$index]); ?>"><?php echo e($allPoNumbers[$index]); ?></option>
                    <?php endfor; ?>
                </select>
            </div>
            <button type="button" class="btn btn-primary mb-2 mx-sm-3 font-12px" onclick="getSelectedPOs()">Filter</button>
        </form>
        <form class="form-inline">
            <div class="form-group mb-2">

                <select class="form-control dd font-12px" id="monthdd">
                    <option value="">Select Month</option>
                    <?php for($index = 0; $index < count($months); $index++): ?>
                        <option value="<?php echo e($index + 1); ?>" <?php echo e(request()->get('month') == $index + 1 ? 'selected' : ''); ?>>
                            <?php echo e($months[$index]); ?></option>
                    <?php endfor; ?>
                </select>

            </div>
            <div class="form-group mx-sm-3 mb-2">
                <select class="form-control dd font-12px" id="yeardd">
                    <option value="">Select Year</option>
                    <?php for($index = 0; $index < count($years); $index++): ?>
                        <option value="<?php echo e($years[$index]); ?>"
                            <?php echo e(request()->get('year') == $years[$index] ? 'selected' : ''); ?>><?php echo e($years[$index]); ?></option>
                    <?php endfor; ?>
                </select>
            </div>
            <button type="button" class="btn btn-primary mb-2 font-12px" disabled id="filterBtn">Filter</button>
        </form>
    </div>


    <div class="table-responsive  decrease-pad">
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">PO#</th>
                    <th scope="col">Order#</th>
                    <th scope="col">Order Date</th>
                    <th scope="col">Tracking Number</th>
                    <th scope="col">Ship By</th>
                    <th scope="col">Delivery Date</th>
                    <th scope="col">Customer Name</th>
                    <th scope="col">Status</th>
                    <th scope="col">Sale Price</th>
                    <th scope="col">Total Cost</th>
                    <th scope="col">Shipping Cost</th>
                    <th scope="col">Comission 15%</th>
                    <th scope="col">Total Exp</th>
                    <th scope="col">Profit & Loss</th>
                    <th scope="col">Profit %</th>
                    <th scope="col">ROI</th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $report; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr class="<?php echo e($data->profit_or_loss < 0 ? 'text-light' : ''); ?>">
                        <th scope="row">
                            <?php echo e(isset($currentPage) ? $pagging->perPage() * ($currentPage - 1) + ($loop->index + 1) : $loop->index + 1); ?>

                        </th>
                        <td><a href="<?php echo e(route('purchase-order.details', $data->po_number)); ?>"
                                class="order-number"><?php echo e($data->po_number); ?></a></td>

                        <td><?php echo e($data->order_number); ?></td>
                        <td><?php echo e($data->order_date); ?></td>
                        <td><?php echo e($data->tracking_number); ?></td>
                        <td><?php echo e($data->ship_by); ?></td>
                        <td><?php echo e($data->delivery_date); ?></td>
                        <td><?php echo e($data->customer_name); ?></td>
                        <td><?php echo e($data->status); ?></td>
                        <td><?php echo e($data->total_sales_price); ?></td>
                        <td>$<?php echo e($data->total_cost); ?></td>
                        <td><?php echo e($data->shipping_cost); ?></td>
                        <td>$<?php echo e($data->commission); ?></td>
                        <td>$<?php echo e($data->total_expenses); ?></td>
                        <td>$<?php echo e($data->profit_or_loss); ?></td>
                        <td><?php echo e($data->profit_percent); ?>%</td>
                        <td><?php echo e($data->ROI); ?>%</td>
                        <td>
                            <button type="button" class="btn btn-primary btn-sm" data-toggle="modal"
                                onclick="callMe('<?php echo e($data->tracking_number); ?>')">Order Items</button>

                            <?php echo $__env->make('report.order-item-details', [
                                'orderItems' => $orderItems[$data->tracking_number],
                                'trackingNumber' => $data->tracking_number,
                            ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>


    <div class="table-responsive">
        <table class="table text-center">
            <thead>
                <tr>
                    <th scope="col">Qty</th>
                    <th scope="col">Sales Price</th>
                    <th scope="col">Shipping Cost</th>
                    <th scope="col">Commission</th>
                    <th scope="col">Expenses</th>
                    <th scope="col">Profit or Loss</th>
                </tr>
            </thead>
            <tbody>

                <tr>
                    <td><?php echo e($summary_row_data->qty); ?></td>
                    <td><?php echo e($summary_row_data->sales_price_total); ?></td>
                    <td><?php echo e($summary_row_data->shipping_cost_total); ?></td>
                    <td><?php echo e($summary_row_data->commission_total); ?></td>
                    <td><?php echo e($summary_row_data->expenses_total); ?></td>
                    <td><?php echo e($summary_row_data->profit_or_loss_total); ?></td>
                </tr>
            </tbody>
        </table>
    </div>

    <div class="d-flex justify-content-center py-3">
        <?php
        unset($selected_values['download']);
        ?>
        <?php echo e($pagging->appends($selected_values)->Links()); ?>

    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(asset('js/select2.min.js')); ?>" defer></script>
    <script>
        $(document).ready(function() {
            let params = new URLSearchParams(window.location.search)
            const pos = params.get('po')
            const PONumberDD = $("#PONumberMultiselect");
            $(".multiselectDD").select2({
                placeholder: "Filter By POs",
            });

            if (pos) {
                $("#PONumberMultiselect").val(pos.split(','))
                $("#PONumberMultiselect").trigger('change')
            }
        });

        function getSelectedPOs() {
           const query_param = getQueryOfURL();
            const selectedValues = $('#PONumberMultiselect').select2('data');
            const pos = selectedValues.map((item) => item.text);
            let redirectWitFilters = `/report?po=${pos.join(',')}`;
            if (query_param !=="") redirectWitFilters = `${redirectWitFilters}&${query_param}`;
            window.location = redirectWitFilters;
        }

        function getQueryOfURL() {
            const year = $("#yeardd").val();
            const month = $("#monthdd").val();
            let query_param = ""
            if (year != "" && month != "") {
                query_param = `month=${month}&year=${year}`
            } else
            if (month != "") {
                query_param = `month=${month}`
            } else if (year != "") {
                query_param = `year=${year}`
            }
            return query_param;
        }
    </script>
    <script>
        function callMe(id) {
            $(`#${id}Modal`).modal('show')
        }

        $(document).ready(function() {
            $(".dd").change(function() {
                const year = $("#yeardd").val();
                const month = $("#monthdd").val();
                if (year == "" && month == "") {
                    $("#filterBtn").prop('disabled', true)
                } else {
                    $("#filterBtn").prop('disabled', false)
                }
            });

            $("#filterBtn").on("click", function() {
              const query_param = getQueryOfURL();
                window.location = `/report?${query_param}`
            });

        }) // document end
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.dashboard', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sites/20b/4/41015ed269/public_html/shahnyc/resources/views/report/index.blade.php ENDPATH**/ ?>