<?php
   
namespace App\Http\Controllers;
  
use Illuminate\Http\Request;
use App\Exports\UsersExport;
use App\Imports\InventoriesImport;
use App\Imports\ShipmentsImport;
use App\Imports\PurchaseOrderImport;
use App\PurchaseOrder;

use Maatwebsite\Excel\Facades\Excel;
  
class ImportController extends Controller
{
    /**
    * @return \Illuminate\Support\Collection
    */
    public function importExportView()
    {
       return view('import.import');
    }
    /**
    * @return \Illuminate\Support\Collection
    */
    public function import(Request $request) 
    {
        $file_name = $request->input('file_name');
        if ($file_name == "Inventory") {
            Excel::import(new InventoriesImport,request()->file('file'));
        }
        else
        if ($file_name == "Shipments") {
            Excel::import(new ShipmentsImport,request()->file('file'));
        }
        else
        {

            Excel::import(new PurchaseOrderImport,request()->file('file'));

        }

        $missingShipments = PurchaseOrder::whereDoesntHave('inventory')->get()->pluck('id');
        $ids = $missingShipments->toArray();
        PurchaseOrder::whereIn('id', $ids)->update(['is_available' => 0]);


        return redirect()->back()->with([
           "class" => "success",
           "text" => "Data imported successfully.",
       ]);
    }
}