<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\PurchaseOrder;
use App\Inventory;
use App\Shipment;
use \stdClass;
//use Helper;




class PurchaseOrderDetailsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    private $myHelper;
    // public function __construct()
    // {
    //   $this->myHelper = new Helper();
    // }
    
    

    
    public function details(Request $request, $po_number)
    { 
    $purchaseOrder = PurchaseOrder::where('po_number', $po_number)->with('inventory')->with('shipment')->get();   
     $formatedPO = $this->formatePO($purchaseOrder);
      //dd($formatedPO->shipment->tracking_number);
      //dd($formatedPO);
      return view('purchase-order.details',compact('formatedPO'));
    }

    private function formatePO($poData){
      $sales_price_total = 0;
      $total_order_cost = 0;
      $total_sales_price = 0;
      $shipping_cost_total = 0;
      $commission_percent = 0.15;
      $commission_total = 0;
      $expenses_total = 0;
      $profit_or_loss_total = 0;
      $sales_price  = 0;

      $object = new stdClass();
      $poDetails = new stdClass();
      $object->orderItems = array();
      foreach ($poData as $key=>$data) {
       
        $item_cost = (float) $data->inventory->cost;
        $total_cost = (float) $data->qty * $item_cost;
        $total_order_cost +=  $total_cost;


        // SUM of sales price
        $sales_price = (float) $data->item_cost;
        $sales_price_total += $sales_price;

        $sale_price = (float) $data->qty * $sales_price;
        $total_sales_price +=  $sale_price;


        $poDetails->sales_price = $sales_price; 

        $shipping_cost = (float) $data->shipment->cost;

        if (!isset($object->shipment)) {
          
          $poDetails->amount_paid = 0;
          
          $poDetails->city = $data->city;
          $poDetails->po_number = $data->po_number;
          $poDetails->order_number = $data->order_number;
          $poDetails->order_date = $data->order_date;
          $poDetails->carrier = $data->carrier;
          $poDetails->customer_phone_number = $data->customer_phone_number;
          $poDetails->status = $data->status;

          $poDetails->tracking_number = $data->shipment->tracking_number;
          $poDetails->recipient = $data->shipment->recipient;
          $poDetails->company = $data->shipment->company;
          $poDetails->country = $data->shipment->country;
          $poDetails->address_line_1 = $data->shipment->address_line_1;
          $poDetails->address_line_2 = $data->shipment->address_line_2;
          $poDetails->email = $data->shipment->email;
          $poDetails->zipcode = $data->shipment->zipcode;
          $poDetails->state = $data->shipment->state;
          $poDetails->zipcode = $data->shipment->zipcode;
          /********************************************************************** */
          
        
          $poDetails->item_cost =   $item_cost;

          // Calculated values

          
          $poDetails->total_cost  = number_format((float) $total_cost, 2, '.', '');
          $shipping_cost_total += (float) $shipping_cost;
          $poDetails->shipping_cost = (float) $shipping_cost;

         
         
          /********************************************************************** */

          $object->po = $poDetails;
          // Shipment and labour data
          $shipmentObject = new stdClass();
          $shipmentObject->shipping_cost = $data->shipment->cost;
          $shipmentObject->misc = 'Dummy Value';
          $shipmentObject->handling_cost = 'Dummy Value';
          $shipmentObject->total_items_cost = 'Dummy Value';
          $object->shipment = $shipmentObject; 

        }

        //Order items data
          $orderItemsObject = new stdClass();
          $orderItemsObject->variant_sku = 'Dummy Value';

          $orderItemsObject->price =   $sales_price ;
          $item_cost = (float) $data->inventory->cost;
          $orderItemsObject->item_cost = $item_cost;


          $total_cost = (float) $data->qty * $item_cost;
          $orderItemsObject->handling_cost  = number_format((float) $total_cost, 2, '.', ''); 

          $orderItemsObject->title = $data->inventory->title;

          $orderItemsObject->msku = $data->inventory->msku;
          $orderItemsObject->qty = $data->qty;
          $orderItemsObject->shipping_cost = $data->shipment->cost;
          $orderItemsObject->misc_cost = 'Dummy Value';

          // Helper::getItemCost($data->qty, $data->item_cost);

        array_push($object->orderItems, $orderItemsObject);
      }
      $object->po->amount_paid = $total_sales_price; 
      $commission =  $total_sales_price * $commission_percent;
      $total_expenses = $total_order_cost + $shipping_cost + $commission; 
    
        $profit_or_loss = $total_sales_price - $total_expenses;

       $profit_percent = 0;
       if($sales_price != 0){
           $profit_percent = ($profit_or_loss / $total_sales_price) * 100;
       }

       $ROI = 0;
       if($total_cost != 0){
           $ROI = ($profit_or_loss / $total_order_cost) * 100;
       }
      $object->po->commission  = number_format((float) $commission, 2, '.', '');
      $object->po->profit_or_loss  = number_format((float) $profit_or_loss, 2, '.', '');
      $object->po->profit_percent  = number_format((float) $profit_percent , 2, '.', '');
      $object->po->ROI  = number_format((float) $ROI, 2, '.', '');
      $poDetails->total_expenses  = number_format((float) $total_expenses, 2, '.', '');


      return $object; 
    }

    public function update(Request $request, $po_number)
    { 
      $data = $request->validate([
        'item_cost'=>'required|array|min:1',
        'item_cost.*'=>'required|numeric',
        'shipping_cost'=>'required|array|min:1',
        'shipping_cost.*'=>'required|numeric',
    ]);

      $poData = PurchaseOrder::where('po_number', $po_number)->get();   
      foreach ($poData as $key=>$item) {
      $poData = PurchaseOrder::where('po_number', $po_number)->get();   
      Inventory::where('msku',$item->sku)->update(['cost'=>$data['item_cost'][$key]]);
      if($key == 0) {
        Shipment::where('tracking_number',$item->tracking_number)->update(['cost'=>$data['shipping_cost'][$key]]);
      }
      
    }

    return redirect()->route('purchase-order.details', $po_number)->with([
       "class" => "success",
       "text" => "Data updated successfully.",
     ]);
    }
}