<?php

namespace App\Imports;

use App\Shipment;

use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;
use Maatwebsite\Excel\Concerns\OnEachRow;
use Maatwebsite\Excel\Row;

class ShipmentsImport implements OnEachRow, WithHeadingRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public function onRow(Row $row)
    {
        $row = $row->toArray();
         if(!isset($row["tracking_number"])){
            return;
        }

            $shipment = Shipment::firstOrCreate(
            ['tracking_number' => $row["tracking_number"]],
            [
            'created_date' => $row["created_date"],
            'recipient' => $row["recipient"],
            'company' => $row["company"],
            'email' => $row["email"],
            'tracking_number' => $row["tracking_number"],
            'cost' => $row["cost"],
            'status' => $row["status"],
            'batch' => $row["batch"],
            'label_size' => $row["label_size"],
            'saved_package' => $row["saved_package"],
            'ship_from' => $row["ship_from"],
            'ship_date' => $row["ship_date"],
            'estimated_delivery_time' => $row["estimated_delivery_time"],
            'weight' => $row["weight_oz"],
            'zone' => $row["zone"],
            'package_type' => $row["package_type"],
            'package_length' => $row["package_length"],
            'package_width' => $row["package_width"],
            'package_height' => $row["package_height"],
            'tracking_status' => $row["tracking_status"],
            'tracking_info' => $row["tracking_info"],
            'tracking_date' => $row["tracking_date"],
            'address_line_1' => $row["address_line_1"],
            'address_line_2' => $row["address_line_2"],
            'city' => $row["city"],
            'state' => $row["state"],
            'zipcode' => $row["zipcode"],
            'country' => $row["country"],
            'carrier' => $row["carrier"],
            'service' => $row["service"],
            'order_id' => $row["order_id"],
            'rubber_stamp_1' => $row["rubber_stamp_1"],
            'rubber_stamp_2' => $row["rubber_stamp_2"],
            'rubber_stamp_3' => $row["rubber_stamp_3"],
            'order_value' => $row["order_value"],
            'source' => $row["source"],
            ]
        );
    }
}
