@extends('layouts.dashboard')

@section('content')
<h1>Add Missing Inventories</h1>

<div class="d-flex justify-content-end">
<form class="form-inline" method="GET" action="{{route('purchase-order.missing.inventory.sku')}}">
  <div class="form-group mx-sm-3 mb-2">
    <input type="text" class="form-control" name="search" id="search">
  </div>
  <button type="submit" class="btn btn-primary mb-2 font-12px" disabled id="searchBtn" >Search</button>
</form>

</div> 
    
    
    <div class="table-responsive">
<table class="table tbl-fixed">
  <thead class="text-center">
    <tr>
      <th scope="col" class="w2rem">#</th>
      <th scope="col" class="w12rem">SKU</th>
      <th scope="col" class="w20rem">Title</th>
      <th scope="col" class="w10rem">Cost</th>
      <th scope="col" class="w5rem">&nbsp;</th>
     
    </tr>
  </thead>
  <tbody>
      @foreach ($missingSkus as $sku)
       
      <tr>

      <th scope="row">{{  $loop->index +1 }}</th>
      <td>{{ $sku->sku}}</td>
      <td>
        <input type="text"  class="form-control tb" data-targetClass="titleTb" value="{{$sku->item_description}}" placeholder="Enter product title">
      </td>
      <td>
         <input type="text" class="form-control tb" data-targetClass="costTb" placeholder="Enter product cost">
      </td>
      <td class="text-center">
          <form action="{{route('purchase-order.add.missing.inventory.sku')}}" class="addCostBtn" method="POST">
          @csrf
          <input type="hidden" class="titleTb" name="title" value="{{$sku->item_description}}">
          <input type="hidden" class="costTb" name="cost">
          <input type="hidden" name="msku" value="{{$sku->sku}}">
          <button type="submit" class="btn btn-sm btn-primary addCostBtn">Add</button>

          </form>
      </td>
      
    </tr>
   
     @endforeach
  </tbody>
</table>
</div>
<div class="d-flex justify-content-center py-3">
  {{ $missingSkus->links() }}
</div>
    
@endsection
@section('scripts')
    <script src="{{ asset('js/add-cost.js') }}"></script>
    <script src="{{ asset('js/search.js') }}"></script>
@endsection
