@extends('layouts.dashboard')

@section('content')

<h1>Purchase Orders</h1>
 <p>List of records in <i>PO</i> that does not have matching <i>tracking number</i> in <i>shipment</i></p>

 <div class="d-flex justify-content-end">
<form class="form-inline" method="GET" action="{{route('purchase-order.missing')}}">
  <div class="form-group mx-sm-3 mb-2">
    <input type="text" class="form-control" name="search" id="search">
  </div>
  <button type="submit" class="btn btn-primary mb-2 font-12px" disabled id="searchBtn" >Search</button>
</form>

</div> 

 <div class="table-responsive">
<table class="table">
  <thead>
    <tr>
      <th scope="col">#</th>
      <th scope="col">PO#</th>
      <th scope="col">Customer Name</th>
      <th scope="col">Tracking Number</th>
      <th scope="col">Order Date</th>
      <th scope="col">Cost</th>
      <th scope="col">&nbsp;</th>
     
    </tr>
  </thead>
  <tbody>
      @foreach ($purchaseOrders as $purchaseOrder)
    <tr>
      <th scope="row">{{  $loop->index +1 }}</th>
      <td>{{ $purchaseOrder->po_number}}</td>
      <td>{{ $purchaseOrder->customer_name}}</td>
      <td>{{ $purchaseOrder->tracking_number}}</td>
      <td>{{ $purchaseOrder->order_date}}</td>
      <td>
         <input type="text" class="form-control tb" data-targetClass="costTb" placeholder="Enter product cost">
      </td>
      <td>

<form action="{{route('purchase-order.add.missing.shipment')}}" class="addCostBtn" method="POST">
    @csrf
    <input type="hidden" class="costTb" name="cost">
    <input type="hidden" name="tracking_number" value="{{$purchaseOrder->tracking_number}}">

    <button type="submit" class="btn btn-sm btn-primary addCostBtn">Add</button>
 </form>

      </td>
     @endforeach
  </tbody>
</table>
</div>

<div class="d-flex justify-content-center py-3">
  {{ $purchaseOrders->links() }}
</div>
@endsection

@section('scripts')
    <script src="{{ asset('js/add-cost.js') }}"></script>
    <script src="{{ asset('js/search.js') }}"></script>
@endsection