@extends('layouts.dashboard')

@section('content')

<h1>Purchase Orders</h1>
@if(Route::currentRouteNamed('purchase-order.missing'))
  <p>List of records in <i>PO</i> that does not have matching <i>tracking number</i> in <i>shipment</i></p>
@endif

<div class="d-flex justify-content-end">
<form class="form-inline" method="GET" action="{{route('purchase-order.index')}}">
  <div class="form-group mx-sm-3 mb-2">
    <input type="text" class="form-control" name="search" id="search">
  </div>
  <button type="submit" class="btn btn-primary mb-2 font-12px" disabled id="searchBtn" >Search</button>
</form>

</div> 

<div class="table-responsive">
<table class="table">
  <thead>
    <tr>
      <th scope="col">#</th>
      <th scope="col">PO#</th>
      <th scope="col">Order#</th>
      <th scope="col">Order Date</th>
      <th scope="col">Ship By</th>
      <th scope="col">Delivery Date</th>
      <th scope="col">Customer Name</th>
      <th scope="col">Customer Shipping Address</th>
      <th scope="col">Customer Phone Number</th>
      <th scope="col">Ship to Address 1</th>
      <th scope="col">Ship to Address 2</th>
      <th scope="col">City</th>
      <th scope="col">State</th>
      <th scope="col">Zip</th>
      <th scope="col">FLIDS</th>
      <th scope="col">Line#</th>
      <th scope="col">UPC</th>
      <th scope="col">Status</th>
      <th scope="col">Item Description</th>
      <th scope="col">Shipping Method</th>
      <th scope="col">Shipping Tier</th>
      <th scope="col">Qty</th>
      <th scope="col">SKU</th>
      <th scope="col">Item Cost</th>
      <th scope="col">Shipping Cost</th>
      <th scope="col">Tax</th>
      <th scope="col">Update Status</th>
      <th scope="col">Update Qty</th>
      <th scope="col">Carrier</th>
      <th scope="col">Tracking Number</th>
      <th scope="col">Tracking Url</th>
      <th scope="col">Seller Order NO</th>
      <th scope="col">Fulfillment Entity</th>
     
    </tr>
  </thead>
  <tbody>
      @foreach ($purchaseOrders as $purchaseOrder)
    <tr>
      <th scope="row">{{  $loop->index +1 }}</th>
      <td>{{ $purchaseOrder->po_number}}</td>
      <td>{{ $purchaseOrder->order_number}}</td>
      <td>{{ $purchaseOrder->order_date}}</td>
      <td>{{ $purchaseOrder->ship_by}}</td>
      <td>{{ $purchaseOrder->delivery_date}}</td>
      <td>{{ $purchaseOrder->customer_name}}</td>
      <td>{{ $purchaseOrder->customer_shipping_address}}</td>
      <td>{{ $purchaseOrder->customer_phone_number}}</td>
      <td>{{ $purchaseOrder->ship_to_address_1}}</td>
      <td>{{ $purchaseOrder->ship_to_address_2}}</td>
      <td>{{ $purchaseOrder->city}}</td>
      <td>{{ $purchaseOrder->state}}</td>
      <td>{{ $purchaseOrder->zipcode}}</td>
      <td>{{ $purchaseOrder->flids}}</td>
      <td>{{ $purchaseOrder->line_number}}</td>
      <td>{{ $purchaseOrder->upc}}</td>
      <td>{{ $purchaseOrder->status}}</td>
      <td>{{ $purchaseOrder->item_description}}</td>
      <td>{{ $purchaseOrder->shippingmethod}}</td>
      <td>{{ $purchaseOrder->shipping_tier}}</td>
      <td>{{ $purchaseOrder->qty}}</td>
      <td>{{ $purchaseOrder->sku}}</td>
      <td>{{ $purchaseOrder->item_cost}}</td>
      <td>{{ $purchaseOrder->shipping_cost}}</td>
      <td>{{ $purchaseOrder->tax}}</td>
      <td>{{ $purchaseOrder->update_status}}</td>
      <td>{{ $purchaseOrder->update_qty}}</td>
      <td>{{ $purchaseOrder->carrier}}</td>
      <td>{{ $purchaseOrder->tracking_number}}</td>
      <td>{{ $purchaseOrder->tracking_url}}</td>
      <td>{{ $purchaseOrder->seller_order_no}}</td>
      <td>{{ $purchaseOrder->fulfillment_entity}}</td>
     @endforeach
  </tbody>
</table>
</div>

<div class="d-flex justify-content-center py-3">
  {{ $purchaseOrders->links() }}
</div>
@endsection


@section('scripts')
    <script src="{{ asset('js/search.js') }}"></script>
@endsection




