<?php $__env->startSection('content'); ?>

<h1>Yearly Report</h1>
<div class="d-flex justify-content-end">
<form class="form-inline">
  <div class="form-group mx-sm-3 mb-2">
    <select class="form-control dd font-12px" id="yeardd">
      <option value="">Select Year</option>
      <?php for($index = 0; $index < count($years); $index++): ?>
        <option value="<?php echo e($years[$index]); ?>" <?php echo e(request()->get('year') == $years[$index] ? "selected" : ""); ?>><?php echo e($years[$index]); ?></option>
      <?php endfor; ?>
    </select>
  </div>
  <button type="button" class="btn btn-primary mb-2 font-12px" disabled id="filterBtn" >Filter</button>
</form>
</div>

<div class="table-responsive decrease-pad">
<table class="table text-center">
  <thead>
    <tr>      
      <th scope="col">Month</th>
      <th scope="col">Qty</th>
      <th scope="col">Sale Price</th>
      <th scope="col">Cost</th>
      <th scope="col">Shipping Cost</th>
      <th scope="col">Comission 15%</th>
      <th scope="col">Total Exp</th>
      <th scope="col">Profit & Loss</th>
    </tr>
  </thead>
  <tbody>
    <?php $__currentLoopData = $yearly_report; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $obj): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <tr>
      <th><?php echo e($key); ?></th>
      <td><?php echo e(number_format((float) $obj->qty_total, 2, '.', ',')); ?></td>
      <td>$<?php echo e(number_format((float) $obj->sales_price_total, 2, '.', ',')); ?></td>
      <td>$<?php echo e(number_format((float) $obj->cost_total, 2, '.', ',')); ?></td>
      <td>$<?php echo e(number_format((float) $obj->shipping_cost_total, 2, '.', ',')); ?></td>
      <td>$<?php echo e(number_format((float) $obj->commission_total, 2, '.', ',')); ?></td>
      <td>$<?php echo e(number_format((float) $obj->expenses_total, 2, '.', ',')); ?></td>
      <td>$<?php echo e(number_format((float) $obj->profit_or_loss_total, 2, '.', ',')); ?></td>
    </tr>
     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
         <tr>
      <th>Totals</th>
      <th><?php echo e(number_format((float) $final_totals->qty_sum, 2, '.', ',')); ?></th>
      <th>$<?php echo e(number_format((float) $final_totals->sale_price_sum, 2, '.', ',')); ?></th>
      <th>$<?php echo e(number_format((float) $final_totals->cost_sum, 2, '.', ',')); ?></th>
      <th>$<?php echo e(number_format((float) $final_totals->shipping_cost_sum, 2, '.', ',')); ?></th>
      <th>$<?php echo e(number_format((float) $final_totals->commission_sum, 2, '.', ',')); ?></th>
      <th>$<?php echo e(number_format((float) $final_totals->total_exp_sum, 2, '.', ',')); ?></th>
      <th>$<?php echo e(number_format((float) $final_totals->profit_loss_sum, 2, '.', ',')); ?></th>
    </tr>
  </tbody>
</table>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
<script>
 $(document).ready(function(){
   $(".dd").change(function () {
      const year = $("#yeardd").val() ;
      const month = $("#monthdd").val();
      if(year == ""){
        $("#filterBtn").prop('disabled', true)
      }
      else{
        $("#filterBtn").prop('disabled', false)
      }
    });
    $("#filterBtn").on("click",function(){
        const year = $("#yeardd").val() ;
        let query_param = ""
        query_param = `year=${year}`
        window.location = `/summary?${query_param}`
  });
 })// document end
</script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.dashboard', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\laravel\upwork\resources\views/report/summary.blade.php ENDPATH**/ ?>